# Made with Framer
# by Annecelebi
# www.framerjs.com

# Create App Background
bgLayer = new Layer
	width: 750, height: 1334
	image: "images/BG.png"

# Add StatusBar
statusBar = new Layer
	width: 750, height: 40
	image: "images/Status_Bar.png"

# App Components Mask
appMask = new Layer
	width: 750
	height: 2000
	backgroundColor: null
	clip: true

profileLayer = new Layer
	width: 718, height: 697
	y: 60
	image: "images/profile.png"
	superLayer: appMask
profileLayer.centerX()

buttonsLayer = new Layer
	width: 555, height: 81
	y: 806
	image: "images/buttons.png"
	superLayer: appMask
buttonsLayer.centerX()

listLayer = new Layer
	width: 335, height: 1328
	y: 920
	image: "images/userList.png"
	superLayer: appMask
listLayer.centerX()

# Add Dublicate Items
bgButtonsLayer = new Layer
	width: 750, height: 139
	image: "images/buttonsBG.png"
bgButtonsLayer.visible = false

buttonsLayerDublicate = new Layer
	width: 555, height: 81
	y: 32
	image: "images/Buttons.png"
buttonsLayerDublicate.centerX()
buttonsLayerDublicate.visible = false

# Create Scroll Component & Control
profileScroll = ScrollComponent.wrap(appMask)
profileScroll.scrollHorizontal = false
profileScroll.directionLock = true

profileScroll.content.on "change:y", ->
	
	yOffset = -profileScroll.content.y
	
	if yOffset > 30
		statusBar.visible = false
	else
		statusBar.visible = true
	
	if yOffset > 774
		buttonsLayerDublicate.visible = true
		bgButtonsLayer.visible = true
	else
		buttonsLayerDublicate.visible = false
		bgButtonsLayer.visible = false